from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .patches import patch_snowflake
patch_snowflake()

from .dataproxy import SnowflakeDataProxy, SnowflakeSQLTypeConverter
from .dbconfig import SnowflakeDBConfig

__version__ = '1.3.0'

DB_TYPES = ['snowflake']


class SnowflakeModel(SQLAlchemyModel):
    db_types = DB_TYPES
    sql_type_converter = SnowflakeSQLTypeConverter()


class SnowflakeModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES
    model_class = SnowflakeModel


ModuleMaker = SnowflakeModuleMaker
Model = SnowflakeModel
DataProxy = SnowflakeDataProxy
DBConfig = SnowflakeDBConfig
DB_TYPES = DB_TYPES
